Delete API key
DELETE
/v1/api-keys/{id}
const url = 'https://api.hookbridge.io/v1/api-keys/key_abc123';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.hookbridge.io/v1/api-keys/key_abc123 \ --header 'Authorization: Bearer <token>'Permanently deactivate an API key. The key will immediately stop working for authentication. This action cannot be undone.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
API key ID
Example
key_abc123Responses
Section titled “Responses”API key deleted successfully
Media typeapplication/json
object
data
object
deleted
boolean
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "data": { "deleted": true }, "meta": { "request_id": "req_xyz123" }}Unauthorized - Invalid or missing API key
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "UNAUTHORIZED", "message": "Invalid or missing API key" }, "meta": { "request_id": "req_xyz123" }}Resource not found
Media typeapplication/json
object
error
object
code
Machine-readable error code
string
message
Human-readable error message
string
meta
object
request_id
Unique identifier for this request (useful for support)
string
Example
{ "error": { "code": "NOT_FOUND", "message": "Message not found" }, "meta": { "request_id": "req_xyz123" }}Personalize Examples
Enter your credentials to populate code examples throughout the docs.